# $Revision: 1.42 $, $Date: 2008-05-28 19:22:15 $
Summary:	Versatile network test and debugging tool
Summary(es.UTF-8):	Herramienta de prueba e depuración para servicios de red
Summary(pl.UTF-8):	Proste narzędzie do testowania sieci
Summary(pt_BR.UTF-8):	Ferramenta de teste e depuração para serviços de rede
Name:		nc
Version:	1.10
Release:	22
License:	Public Domain
Group:		Networking/Admin
Source0:	http://www.atstake.com/research/tools/network_utilities/%{name}110.tgz
# Source0-md5:	402632f2fe01c169ff19a0ad6e9d608c
Source1:	http://www.openbsd.org/src/usr.bin/%{name}.1
Patch0:		%{name}-arm.patch
Patch1:		%{name}-v6-20000918.patch.gz
Patch2:		%{name}-proto.patch
Patch3:		%{name}-halfclose.patch
Patch4:		%{name}-timeout.patch
URL:		http://www.atstake.com/research/tools/network_utilities/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netcat is a simple Unix utility which reads and writes data across
network connections, using TCP or UDP protocol. It is designed to be a
reliable "back-end" tool that can be used directly or easily driven by
other programs and scripts. At the same time, it is a feature-rich
network debugging and exploration tool, since it can create almost any
kind of connection you would need and has several interesting built-in
capabilities. Netcat, or "nc" as the actual program is named, should
have been supplied long ago as another one of those cryptic but
standard Unix tools.

%description -l es.UTF-8
NetCat es un cliente de red mínimo. Puede ser usado para crear
conexiones TCP a puertos arbitrarios y puede simular conexiones sobre
UDP. También puede oír puertos.

%description -l pl.UTF-8
Netcat to proste uniksowe narzędzie, które odbiera i wysyła dane
poprzez połączenia sieciowe protokołami TCP lub UDP. Jest
zaprojektowane jako wiarygodny "back-end", który może być używany
bezpośrednio albo sterowany przez inne programy i skrypty.
Jednocześnie może pomóc w wykrywaniu usterek w sieci albo poznawaniu
jej od środka, ponieważ może stworzyć prawie dowolny rodzaj
połączenia, jaki może być potrzebny, i ma wbudowanych kilka ciekawych
funkcji. Netcat - albo "nc", jak się nazywa właściwy program, powinien
był być dostarczany już dawno temu jako kolejne tajemnicze, ale
standardowe uniksowe narzędzie.

%description -l pt_BR.UTF-8
O NetCat é um cliente de rede mínimo. Pode ser usado para criar
conexões TCP para portas arbitrárias e pode simular conexões sobre
UDP. Também pode receber conexões.

%prep
%setup -c -n %{name} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# 'make linux' works too, but builds a static binary.
%{__make} generic \
	DFLAGS="-DINET6 -DTELNET -DGAPING_SECURITY_HOLE" \
	CC="%{__cc} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install nc $RPM_BUILD_ROOT%{_bindir}/nc
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc  README Changelog scripts data
%attr(755,root,root) %{_bindir}/nc
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nc.spec,v $
Revision 1.42  2008-05-28 19:22:15  glen
- release 22

Revision 1.41  2008-05-28 19:20:35  glen
- rel 21 for fc2 upgrade

Revision 1.40  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.38  2006/06/04 16:04:44  radek
- release 19: removed O: netcat, license: public domain

Revision 1.37  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.36  2003/07/22 00:46:51  undefine
- add es and pt_BR translations from conectiva
- release 18, stbr

Revision 1.35  2003/07/22 00:39:22  undefine
- changed url and source url to working one

Revision 1.34  2003/07/22 00:17:49  undefine
- add md5sum, file from cvs.pld.org.pl

Revision 1.33  2003/05/25 05:50:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/09/07 12:29:48  kloczek
- release 17: use new %doc.

Revision 1.31  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/18 02:14:00  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2002/01/17 23:56:47  kloczek
- release 16.

Revision 1.27  2002/01/17 23:50:04  adasi
- typo in Group (s\Administacyjne\Administracyjne), STBR

Revision 1.26  2001/12/05 06:35:39  kloczek
- release 15: merge timeout patch from rawhide.

Revision 1.25  2001/07/13 22:05:51  kloczek
- release 14: new URL and Source url.

Revision 1.24  2001/04/28 05:11:31  kloczek
- release 13: added using %{rpmcflags} macro.

Revision 1.23  2001/01/25 20:03:25  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.22  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.21  2000/10/24 00:25:18  kloczek
- release 12: merge rawhide patches.

Revision 1.20  2000/10/12 03:21:52  kloczek
- typo.

Revision 1.19  2000/10/12 02:02:17  kloczek
- release 11: use new rpm automation.

Revision 1.18  2000/09/19 15:29:52  baggins
- release 10
- added IPv6 support

Revision 1.17  2000/06/09 07:23:26  kloczek
- added using %{__make} macro.

Revision 1.16  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.15  2000/04/15 17:55:37  mis
- typo

Revision 1.14  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.12  2000/02/23 11:27:44  zagrodzki
- obsoletes: netcat

Revision 1.11  2000/02/22 23:06:27  kloczek
- release 8.

Revision 1.10  2000/02/22 23:05:37  kloczek
- cosmetics.

Revision 1.9  2000/02/22 21:01:19  zagrodzki
- enabled "-e" option (hipothetically dangerous, but useful)

Revision 1.8  2000/02/17 19:19:54  kloczek
- release 7,
- spec adapterized,
- added man page for nc.

Revision 1.7  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
